#!/bin/bash

. ./latest-dump.sh

#input=${1:-'hathi_full_20190301.txt.gz'}
#output=${2:-'hathi_brief_20190301.txt'}

input=${1:-"hathi_full_$latest_date.txt.gz"}
output=${2:-"hathi_brief_lang_$latest_date.txt"}

echo ""
echo "===="
echo "  Script to extract Format (and related fields, such as copyright)"
echo "  from HathiTrust tab-delimited metadata dump"
echo "===="

echo ""
echo "Reading in  : $input"
echo "Writing out : $output"
echo ""

echo "Processing ..."
zcat "$input" \
     | awk -F '\t' '{print $1 "\t" $3 "\t" $19 "\t" $24} ' \
     > "$output"

echo "... Done"
echo ""

echo "===="
echo "  Next, extract entried that are Music Format, Public Domain and"
echo "  NOT scanned by Google (so called 'open-open' files):"
echo "    ./HATHI-EXTRACT-PD-NON-GOOGLE.sh"
echo "===="

